R88 - EmrEtlRunning sample config doesn't work?


#1

Hi,

I’m upgrading to R88 and have started with a brand new config.yml as the structure has changed quite a bit over the releases.

These are the versions I am using:

Now when I ran snowplow-storage-loader and snowplow-emr-etl-runner there was a huge discrepancy in the format.

Things like:

  • Expecting hadoop_shred, but fields like rdb_loader, rdb_shredder were in the one above
  • Expecting storage : download : folder
  • etc.

Can anyone confirm which version I should be using? I assume config.yml.sample hasn’t been updated to R88?

Thanks!


#2

Hi @timgriffinau,

R88 isn’t the latest release of Snowplow. Some new releases were introduced afterward:

So, the config file which you’re using is for the Snowplow R90. The right config file for R88 you can find here. All necessary changes are described in the “Upgrading” section of the introduction post.

Hope this helps.

Regards,
Egor


#3

Thanks so much egor. I must have found R88 on the hosted assets page or something.